/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9′ not found的解决办法

问题出现:升级Firefox到4.0版本时,提示/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9′ not found。
终端输入:strings /usr/lib/libstdc++.so.6 | grep GLIBC,回车执行
GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBC_2.0
GLIBC_2.3
GLIBC_2.4
GLIBC_2.3.4
GLIBC_2.1
GLIBC_2.1.3
GLIBC_2.2
GLIBCXX_FORCE_NEW
GLIBCXX_DEBUG_MESSAGE_LENGTH
返回结果没有
`GLIBCXX_3.4.9’,接着输入:ls -l /usr/lib/libstdc++.so.6,回车执行

lrwxrwxrwx 1 root root 28 05-03 13:15 /usr/lib/libstdc++.so.6 -> /usr/lib/libstdc++.so.6.0.8

这里libstdc++.so.6是个软链接,它链接到libstdc++.so.6.0.8。而libstdc++.so.6.0.8没有`GLIBCXX_3.4.9’,这里需要libstdc++.so.6.0.10。那么从网上下载libstdc++.so.6.0.10文件,放到/urs/lib目录下。然后我们重新做libstdc++.so.6.软链接:

1.删除libstdc++.so.6,终端输入:rm -rf /urs/lib/libstdc++.so.6,回车执行
2.重做
libstdc++.so.6软链接,终端输入:ln -s /urs/lib/libstdc++.so.6.0.10 /urs/lib/libstdc++.so.6,回车执行

点击这里下载:libstdc++.so.6.0.10

CentOS(RedHat)安装Adobe Flash Player插件 For firefox全过程

随便打开一个带Flash的网站,提示需要安装插件,使用firefox自带功能安装失败(图1所示)。
浏览器默认下载安装的插件失败之后,点“手动安装”会自动跳转到Adobe Flash Player下载页面:

或者直接先打开Adobe Flash Player下载页面:

http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash

选择”.rpm For Linux“ 显示并下载:

下载完后执行安装:

[root@CentOS Desktop]# rpm -ivh flash-plugin-9.0.124.0-release.i386.rpm

Preparing…########################################### [100%]

1:flash-plugin ########################################### [100%]

[root@CentOS Desktop]#

安装成功后重新重动系统既可。

FreeBSD 8.0 Firefox 安装 Flash 插件

# cd /usr/ports/www/nspluginwrapper && make install clean
如果没有加载Linux核心模块,会出错,请加载Linux后重新安装

# kldload linux
# echo ‘linux_enable=”YES”‘ >> /etc/rc.conf

# cd /usr/ports/www/linux-f10-flashplugin10 && make install clean
# mkdir /usr/local/lib/browser_plugins
# ln -s /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so /usr/local/lib/browser_plugins/

Continue reading

Firefox的wap插件:Firefox也能伪装成手机用户访问wap网站

要想Firefox能正常解析手机的wap网站,首先需要安装wml解析插件wmlbrowser。

wmlbrowser 0.7.13 https://addons.mozilla.org/en-US/firefox/addon/62

另外许多程序对来访者的user-agent进行了判断,所以还需要安装自定义user-agent的插件User Agent Switcher。

User Agent Switcher 0.6.10 https://addons.mozilla.org/en-US/firefox/addon/59安装好以上两个插件后,重启Firefox,然后工具->User Agent Switcher->OPtions->User Agents->Add ,填写在 Description:Wap , User Agent: Symbian 确定 ,最后 工具->User Agent Switcher-> 选中刚设定的 Wap ,即可畅通无阻的浏览Wap站啦 !

用了这些插件后,你就能模拟手机用户访问wap网站了(尤其对一些同时支持WEB/WAP方式的论坛有用)!

Firefox常用快捷键(定位地址栏)

几个在Firefox地址栏中使用到的快捷键,方便大家快速冲浪。

1.Ctrl + L 把输入焦点定位到Firefox的地址栏Location Bar中并选中地址的内容。(注:在Firefox3中定位到地址栏Location Bar的快捷键为:Alt + D,同时F6或者Shift+F6有此功能);

2.Ctrl + K 把输入焦点定位到地址栏后面的搜索框;(注:在Firefox3中测试 Ctrl + E 的效果同 Ctrl + K );

下面是几个使用得比较少的快报键:

3.Ctrl + Enter 自动完成,在地址栏输入的内容后加上 .com

4.Shift + Enter 自动完成 .net

5.Ctrl + Shift + Enter 自动完成 .org

6.Shift + Delete  删除地址栏下拉菜单历史网址.还可以删除包括搜索栏、网页表单等各种带有下拉菜单的历史记录(Delete Individual Form Auto-Complete Entry)

其他小技巧:

在地址栏中点击无法全选内容的解决方法:在firefox的地址栏里输入“about:config”进入firefox的配置选项,然后在过滤器中定位“browser.urlbar.clickSelectsAll”,将值设置为“true”,然后重启firefox

FireFox 如何设置不激活新标签

在Firefox浏览器地地址栏输入“about:config”
会出现参数页面.接着在过滤器里输入”browser.tabs”,设置以下的布尔值:
“browser.tabs.loadBookmarksInBackground” 双击设置成:“true”
“browser.tabs.loadDivertedInBackground” 双击设置成:“true” 
“browser.tabs.autoHide”双击设置成:“true”

FireFox 3.5+ 已不再支持 -moz-opacity

安装了FireFox3.5之后,发现以前项目网页中有透明属性的一些DIV都不透明了。于是猜想,FireFox3.5难道不支持它自家的CSS透明属性-moz-opacity了?上网一查,果真如此。
https://developer.mozilla.org/En/CSS:-moz-opacity里说得很清楚了:
Note:  Firefox 3.5 and later do not support -moz-opacity.  By now, you should be using simply opacity.
现在都要改用opacity这个属性。

于是要设置一下透明度为60%的DIV就应该这样写了:
div.transp { /* make the div translucent */
opacity: 0.6;                /* Firefox, Safari(WebKit), Opera)
filter: “alpha(opacity=60)”; /* IE 8 */
filter: alpha(opacity=60);   /* IE 4-7 */
zoom: 1;                     /* needed in IE up to version 7, or set width or height to trigger “hasLayout” */
}

opacity这个是属于CSS3里面的东西了,属于CSS3的标准。然而微软IE8还不支持这一属性。

网易邮箱目前也是用-moz-opacity,因此当“清空垃圾邮件”时屏幕一片黑。

IE与firefox下的Padding的不同

于众所周知的原因,IE在处理 padding 样式的时候总是让我们不那么顺心,如下图(图片来自苏沈小雨的CSS2中文手册):

ie和firefox浏览器下对padding的理解

在 padding 数值很大的地方(比如标题栏的背景 div 和标题之间),浏览器的差别就显示的很明显。
通过查询,找到了一种Hack方法。比如 CSS 原来是这样的:

.titleblock {
padding
:2em; margin:0; text-align:left;
background-image
:url(‘../image/titlebg.jpg’); height:140px;
background-repeat
:no-repeat; background-position:right center;
}

其中的 height 属性为140px,在FF中整个 div 的高度是 140 + 2* (2em) 约为 190px ,而在IE6和IE7中均为 140px ,这样就导致有大概 50px 的差别。
只要这样写:

.titleblock {
padding
:2em; margin:0; text-align:left;
background-image
:url(‘../image/titlebg.jpg’); height:140px;
background-repeat
:no-repeat; background-position:right center;
}


*html .titleblock
{
height
:190px;
}

也就是在下面添加一个 *html 块(这个块只有IE 6+ 支持,FF不支持),在里面把实际的数量写进去就行了。

PS:来自 http://webdesign.about.com/od/css/a/aaboxmodelhack.htm 的方法是:

div {
width
: 100px;
padding
: 10px;
border
: 10px solid #000;
}

* html div
{
\width
: 140px; /* for IE5 and IE6 in quirks mode */
w\idth
: 100px; /* for IE6 in standards mode */
}

不过根据实验,并不能得到合适的数值。

参考来源:http://www.cnblogs.com/Randy0528/archive/2007/09/29/910760.html

支付宝已可支持firefox

支付宝官方释出一个firefox插件,用以支持用户在firefox下面登录支付宝。今天官方blog发布的消息在这里。

很久很久以前,大概05年到06年的时候吧,支付宝在firefox下一点问题都没有。因为当时支付宝还没什么实际的安全措施(但我也没丢过钱)。那时的我可以在ubuntu下面使用支付宝,没有任何障碍(当然,涉及到网银充值这些,还是不能用firefox的)。

后来支付宝开发出安全控件,仅支持IE;再后来增加了安全证书。但支付宝一直没有停止支持firefox的努力。我进来支付宝实习后发现,公司内部早就有用于firefox的插件,先在员工中间小范围测试。

当然,在我用firefox上支付宝过程中,还发现支付宝大量页面的兼容性问题,我们还需要更多努力。